# std::char_traits::not_eof

From cppreference.com
< cpp‎ | string‎ | char traits

static int_type not_eof( int_type e ); |  | (until C++11)
static constexpr int_type not_eof( int_type e ); |  | (since C++11)

Checks whether `e` is not equivalent to eof value.

### Parameters

e | - | value to analyze

### Return value

`e` if `e` and eof value are not equivalent, some other value otherwise.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

eof [static] | returns an eof value (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/not_eof&oldid=91601"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template